---
lang: en
title: 'API docs: context.isproviderclass'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.isproviderclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [isProviderClass](./context.isproviderclass.md)

## isProviderClass() function

Check if a class implements `Provider` interface

<b>Signature:</b>

```typescript
export declare function isProviderClass(cls: Constructor<unknown>): cls is Constructor<Provider<unknown>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  cls | <code>Constructor&lt;unknown&gt;</code> | A class |

<b>Returns:</b>

`cls is Constructor<Provider<unknown>>`


